* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-primary: #0066cc;
  --color-dark: #1a1a1a;
  --color-light: #f8f9fa;
  --font-main: system-ui, -apple-system, sans-serif;
}

body {
  font-family: var(--font-main);
  line-height: 1.6;
  color: var(--color-dark);
  background: #2F7F6C;
  position: relative;
}

/* Header estilizado */
header {
  background-color: #ffffff00;
  padding: 0px 5%;
  top: 0;
  width: 100%;
  height: 80px;
  z-index: 100;
  position: relative;
  display: flex;
  align-items: center;
}

header .container-header{
  display: flex;
  flex-direction: row;
  justify-content: start;
}

header .header-nav{
  display: flex;
  align-items: center;
}

header .header-nav ul{
  display: flex;
  flex-direction: row;
  list-style: none;

  gap: 20px;
  align-items: center;
  flex-direction: row;
}

header .header-nav ul li a{
  text-decoration: none;
  color: #00312c;
  font-weight: bold;s
  font-size: 1.1rem;
}


.decorator-t-l {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 640px;
  height: 80px;
  background: linear-gradient(
    -45deg,
    #FFFFFF00 50%,
    #008f88 50%
  );
  z-index: -1;
  border-radius: 0px;
}

.decorator-b-l {
  position: absolute;
  bottom: 0;
  left: -5vw;
  width: 50vw;
  height: 60vh;
  background: linear-gradient(
    to bottom left,
    #FFFFFF00 50%,
    #0A3F3A 50%
  );
  transform: rotate(0deg);
  z-index: -1;
}

.trabajo{
  margin: 0px 5%;
  display: flex;
  flex-direction: column;
  min-height: calc(100vh - 80px);
  justify-content: center;
}

.trabajo .conversion{
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
  gap: 20px;
}

.subir-imagen-container {
  margin: 20px 0;
  width: 36%;
}

.subir-imagen {
  border: 2px dashed #2F7F6C;
  border-radius: 12px;
  padding: 50px 20px;
  text-align: center;
  background: #ffffff88;
  transition: all 0.25s;
}

.subir-imagen:hover {
  border-color: #0A3F3A;
  background: #14e95b38;
}

.zona-drop {
  pointer-events: none;
}

.icono {
  font-size: 48px;
  margin-bottom: 10px;
  display: block;
}

.formatos {
  color: #222;
  font-size: 0.9em;
  margin-top: 8px;
}

.input-file {
  display: none;
}

.label-subir {
  cursor: pointer;
  display: block;
}

.vista-previa {
  margin-top: 20px;
  position: relative;
  text-align: center;
}

#preview-imagen {
  max-width: 100%;
  max-height: 400px;
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

.btn-quitar {
  position: absolute;
  top: 10px;
  right: 10px;
  background: rgba(255, 0, 25, 0.9);
  color: white;
  border: none;
  border-radius: 50%;
  width: 32px;
  height: 32px;
  font-size: 20px;
  cursor: pointer;
}

.analizar {
  display: block;
  background-color: #0FB9B1;
  color: white;
  border: none;
  padding: 12px 24px;
  border-radius: 5px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.analizar:hover {
  background: #059669;
}

.analizar-imagen {
  width: 60%;
  display: flex;
  justify-content: center;
  gap: 20px;           /* espacio entre imágenes */
  flex-wrap: wrap;     /* si la pantalla es muy pequeña, baja a la siguiente fila */
  margin-top: 30px;
}

.analizar-imagen img {
  width: 40%;     /* no se desbordan */
  max-height: 270px;
  border-radius: 8px;
  box-shadow: 0 4px 14px rgba(0,0,0,0.15);
}